## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate askalono

Name:           rust-askalono
Version:        0.4.6
Release:        %autorelease
Summary:        Library to detect the contents of license files

License:        Apache-2.0
URL:            https://crates.io/crates/askalono
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          askalono-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump rmp-serde dependency from 0.14 to 1.0
# * bump zstd dependency from 0.11 to 0.13:
#   https://github.com/jpeddicord/askalono/pull/96
# * bump env_logger dependency from 0.7 to 0.11:
#   https://github.com/jpeddicord/askalono/pull/97
Patch:          askalono-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library to detect the contents of license files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/NOTICE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "gzip" feature of the "%{crate}" crate.

%files       -n %{name}+gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spdx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spdx-devel %{_description}

This package contains library source intended for building other packages which
use the "spdx" feature of the "%{crate}" crate.

%files       -n %{name}+spdx-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Oct 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.6-10
- Bump zstd to 0.13 and env_logger to 0.11

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-7
- Regenerate with rust2rpm v25

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-5
- Bump to zstd 0.12

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.6-4
- Add missing patch

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.6-3
- Rebuild for rmp-serde 1.x

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-1
- Update to version 0.4.6; Fixes RHBZ#2073720

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-3
- Bump zstd from 0.9 to 0.10

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4; Fixes RHBZ#2025328

* Mon Nov 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-6
- Bump zstd to 0.9.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 10 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-4
- Bump zstd to 0.8.

* Sat Mar 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-3
- Bump zstd to 0.6.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 20 17:26:04 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Fri Dec 06 01:04:40 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-1
- Release 0.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 10:11:05 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-3
- Regenerate

* Thu Apr 11 14:40:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-2
- Run tests in infrastructure

* Thu Mar 28 09:11:54 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Initial package

## END: Generated by rpmautospec
